/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_DECK_H
#define OCARINA_DECK_H

#include <playqueue.h>

namespace deck
{

	void read(File &);
	void write(File &);

	Playqueue *create();
	void remove(unsigned int);
	Playqueue *get(unsigned int);
	void move(unsigned int, unsigned int);
	unsigned int next();

#ifdef CONFIG_TEST
	void reset();
	void print_info();
#endif /* CONFIG_TEST */

};

#endif /* OCARINA_DECK_H */
